summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2013-04-10 19:16:41 +0000
committerMike Frysinger <vapier@gentoo.org>2013-04-10 19:16:41 +0000
commitc89c14c49e0ac860fb85ab63ea8376f528b70200 (patch)
tree1cea708d6ec886ffc62f1e2019c1df0e43bb801e /eclass/toolchain.eclass
parentStable for x86, wrt bug #455312 (diff)
downloadhistorical-c89c14c49e0ac860fb85ab63ea8376f528b70200.tar.gz
historical-c89c14c49e0ac860fb85ab63ea8376f528b70200.tar.bz2
historical-c89c14c49e0ac860fb85ab63ea8376f528b70200.zip
handle new gcc-4.8 MULTILIB_OSDIRNAMES logic that includes multiarch junk
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass14
1 files changed, 9 insertions, 5 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 11d7f62024d1..437ee4642044 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.580 2013/04/08 06:19:00 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.581 2013/04/10 19:16:41 vapier Exp $
#
# Maintainer: Toolchain Ninjas <toolchain@gentoo.org>
@@ -1969,18 +1969,22 @@ setup_multilib_osdirnames() {
esac
config+="/t-linux64"
+ local sed_args=()
+ if tc_version_is_at_least 4.8 ; then
+ sed_args+=( -e 's:$[(]call if_multiarch[^)]*[)]::g' )
+ fi
if [[ ${SYMLINK_LIB} == "yes" ]] ; then
einfo "updating multilib directories to be: ${libdirs}"
if tc_version_is_at_least 4.7 ; then
- set -- -e '/^MULTILIB_OSDIRNAMES.*lib32/s:[$][(]if.*):../lib32:'
+ sed_args+=( -e '/^MULTILIB_OSDIRNAMES.*lib32/s:[$][(]if.*):../lib32:' )
else
- set -- -e "/^MULTILIB_OSDIRNAMES/s:=.*:= ${libdirs}:"
+ sed_args+=( -e "/^MULTILIB_OSDIRNAMES/s:=.*:= ${libdirs}:" )
fi
else
einfo "using upstream multilib; disabling lib32 autodetection"
- set -- -r -e 's:[$][(]if.*,(.*)[)]:\1:'
+ sed_args+=( -r -e 's:[$][(]if.*,(.*)[)]:\1:' )
fi
- sed -i "$@" "${S}"/gcc/config/${config} || die
+ sed -i "${sed_args[@]}" "${S}"/gcc/config/${config} || die
}
# make sure the libtool archives have libdir set to where they actually